Subject: RE: [ipfix] default transport !!!

From: "Carter Bullard" <[email-masked]>
Date: Tue, 21 Oct 2003 18:21:13 -0400

Hey Mark,
   Since Netflow has been identified as the basic
starting point for IPFIX, it is not true that there are
no IPFIX implementations.  There are existing systems
that transport Netflow records and/or its derivatives
over UDP or TCP, so, it seems pretty clear to me that
any requirements for implementations leads one to
choose TCP, since UDP doesn't appear to be on the list
this week.

Carter

> -----Original Message-----
> From: majordomo listserver
> [mailto:[email-masked]] On Behalf Of Mark Fullmer
> Sent: Tuesday, October 21, 2003 2:29 PM
> To: Robert Lowe
> Cc: Randy Bush; [email-masked]
> Subject: Re: [ipfix] default transport !!!
>
>
> I'm not advocating avoiding the decision, just letting this rest
> for a little while and moving the ID ahead with TCP and SCTP
> defined.
>
> mark
>
> On Tue, Oct 21, 2003 at 01:00:45PM -0500, Robert Lowe wrote:
> >
> >
> > Mark Fullmer wrote:
> > > Moving forward with TCP and SCTP/PR-SCTP in the ID will allow
> > > the decision process for which one gets the "mandatory" tag to
> > > have some input from running code.
> > >
> > > I just don't think this is worth arguing about right now because
> > > there are no IPFIX implementations.
> >
> > And who will write one if something as basic as the default
> transport
> > hasn't been decided?  What's the use of having a standard without a
> > standard?  What good is it if I purchase a router from vendor X, a
> > probe from vendor Y, and a collector from vendor Z, and I can't make
> > them work together?  Avoiding a hard decision won't help anything.
> >
> > -Robert
> >
> > > On Mon, Oct 20, 2003 at 01:24:30PM -0500, Randy Bush wrote:
> > >
> > >>>How about if we skip the mandatory and optional section
> for now and
> > >>>just specify TCP and SCTP.
> > >>
> > >>the goal is for end users to be able to plug together prodcuts
> > >>from different vendors and have them interoperate.  without a
> > >>transport being known to be available, i.e., mandatory to
> > >>implement, please explain how this will work?
> > >>
> > >>randy
> > >>
> > >>
> > >>--
> > >>Help        mailto:[email-masked] and say
> "help" in message body
> > >>Unsubscribe mailto:[email-masked] and say
> > >>"unsubscribe ipfix" in message body
> > >>Archive     http://ipfix.doit.wisc.edu/archive/
> >
> >
>
> --
> Help        mailto:[email-masked] and say "help"
> in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/
>

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/